Subject: Re: [arch-d] on the nature of architecture discussion (was: Re: [Chirp] Fwd: IETF 107 Vancouver In-Person Meeting Cancelled)

From: "Hutchison, David" <[email-masked]>
Date: Fri, 3 Apr 2020 10:41:06 +0000

Hello everyone,

I've thought over the years that there's a reluctance to talk about 'architecture' in the context of the Internet, as if it implies discussions that will be too broad and perhaps intended primarily to bring about fundamental change.

For me, 'architecture' is much more down-to-earth, and is to do with describing an overall structure in which we can see how system components fit together. So I'm with Toerless on this -- I think this is what he's suggesting. I also like the notion of viewpoints (as used in the Reference Model of Open Distributed Processing) because there's going to be more than one description of a network or networked system depending on what the target is. For example, I'm interested in an architectural description of how autonomic management might be done, and also how we might describe a future networked system in terms of PNF and VNF building blocks. Those do not imply any changes in the Internet protocols -- but they can offer a useful starting point for research that will use (and maybe show the need for change to) current protocols and services. Likewise, if new service requirements emerge, it's right to discuss these in a structured (or structural?) way to see if there's a need for new or modified protocols, or services, or APIs -- not least to satisfy latency requirements, or security, or resilience ...

Getting to Stephen's question: I've always understood the (origins of) the Internet in terms of the 'design principles' that David Clark and others talk and write about. The 'architecture' has, I believe, largely followed from those, including 'cube' diagrams and of course layered diagrams that many people find helpful for illustration but also for design and implementation.
 
Having said all that, of course it's not easy organizing meetings to discuss architecture, so the goals would have to be carefully set out -- and Brian is correct to warn about difficulties given the current circumstances.

Best rgds,
David

-----Original Message-----
From: Architecture-discuss <[email-masked]> On Behalf Of Stephen Farrell
Sent: Friday, 3 April, 2020 02:24
To: Toerless Eckert <[email-masked]>
Cc: [email-masked]
Subject: [External] Re: [arch-d] on the nature of architecture discussion (was: Re: [Chirp] Fwd: IETF 107 Vancouver In-Person Meeting Cancelled)

This email originated outside the University. Check before clicking links or attachments.

Hiya,

This aspect is nothing to do with having or not having meetings, so don't take this as a negative or positive, but this bit of your mail hits a button of mine...

On 03/04/2020 02:05, Toerless Eckert wrote:
> But the more fundamental issue is that architecture mostly needs to 
> predate protocol development

I've always thought that Internet architecture was mostly post-hoc "discovery" and wasn't really ex-ante invention.
But, I wasn't there, and haven't delved deeply, so I don't claim to be sure. Has anyone tried to do a study to figure out if either of those are reasonable descriptions that match history?

Cheers,
S.